Bug 150958 - redhat-config-network crash error Conf.py:513:__delitem__:KeyError: 212.14.232.5
redhat-config-network crash error Conf.py:513:__delitem__:KeyError: 212.14.232.5
Status: CLOSED ERRATA
Product: Fedora Legacy
Classification: Retired
Component: redhat-config-network (Show other bugs)
rhl9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-12 16:16 EST by Mark N. Awartani
Modified: 2007-04-18 13:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 07:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark N. Awartani 2005-03-12 16:16:00 EST
Description of problem:

When I add/edit/delete any thing in the redhat-config-network and 
want to Save/Close the program I get a crash massage telling me about 
the problem after that the whole changes I made  doesn't take 
effect ! this problem deactivated all the Ethernet cards and IP, and 
disconnected the whole server from the internet. 
Note: that I have the program updated !


Version-Release number of selected component (if applicable):

1.2.0

How reproducible:

Every Time.

Steps to Reproduce:
1.Save
2.
3.
  
Actual results:

Program Crash

Expected results:

Saving Changes. 

Additional info:

Crash Massage :-

Component: redhat-config-network
Version: 1.2.0
Summary: TBdfcffc52 Conf.py:513:__delitem__:KeyError: 212.14.232.5
Traceback (most recent call last):
  File 
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", 
line 579, in on_applyButton_clicked
  File 
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", 
line 291, in save
  File 
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/gui/maindialog.py", 
line 324, in saveProfiles
  File 
"/usr/src/build/226257-noarch/install/usr/share/redhat-config-
network/netconfpkg/NCProfileList.py", 
line 349, in save
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 513, in 
__delitem__
    del self.vars[varname]
KeyError: 212.14.232.5

Local variables in innermost frame:
varname: 212.14.232.5
Comment 1 Harald Hoyer 2005-03-14 07:05:14 EST
There are errata for r-c-network and rhpl:
redhat-config-network-1.2.15
rhpl-0.93.4-1

Please update to these versions and reopen, if the bug still exists.
Comment 2 Mark N. Awartani 2005-03-14 09:56:29 EST
worked just fine thanx ! but i had to add an IP using the teminal and 
the old manual way of adding IP's, and activating the ethernet cards, 
so i can download the update's !! thanx for you reply 
Comment 3 Harald Hoyer 2005-03-14 10:05:15 EST
damn chicken and egg problem :)

Note You need to log in before you can comment on or make changes to this bug.